PING(8C)

NAME
ping - send ICMP ECHO_REQUEST packets to network hosts

SYNOPSIS
/usr/etc/ping host [ timeout ]

/usr/etc/ping [ -s ] [ -lrRv ] host [ packetsize ] [ count ]

AVAILABILITY

This program is available with the Networking software installation option. Refer to for information on how to install optional software.

DESCRIPTION

ping utilizes the ICMP protocol's mandatory ECHO_REQUEST datagram to elicit an ICMP ECHO_RESPONSE from the specified host , or network gateway. ECHO_REQUEST datagrams, or “pings,” have an IP and ICMP header, followed by a structtimeval, and then an arbitrary number of bytes to pad out the packet. If host responds, ping will print host is alive on the standard output and exit. Otherwise after timeout seconds, it will write no answer from host. The default value of timeout is 20 seconds.

When the -s flag is specified, ping sends one datagram per second, and prints one line of output for every ECHO_RESPONSE that it receives. No output is produced if there is no response. In this second form, ping computes round trip times and packet loss statistics; it displays a summary of this information upon termination or timeout. The default datagram packet size is 64 bytes, or you can specify a size with the packetsize command-line argument. If an optional count is given, ping sends only that number of requests.

When using ping for fault isolation, first `ping' the local host to verify that the local network interface is running.

OPTIONS

-l  Loose source route. Use this option in the IP header to send the packet to the given host and back again. Usually specified with the -R option.

-r  Bypass the normal routing tables and send directly to a host on an attached network. If the host is not on a directly-attached network, an error is returned. This option can be used to ping a local host through an interface that has been dropped by the router daemon, see routed(8C).

-R  Record route. Sets the IP record route option, which will store the route of the packet inside the IP header. The contents of the record route will only be printed if the -v option is given, and only be set on return packets if the target host preserves the record route option across echos, or the -l option is given.

-v  Verbose output. List any ICMP packets, other than ECHO_RESPONSE, that are received.

SEE ALSO
icmp(4P), ifconfig(8C), netstat(8C), rpcinfo(8C), spray(8C)